/*
 * Copyright (c) 2000 - 2012 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __DBUS_H__
#define __DBUS_H__

#include <Evas.h>

#include "logic.h"

DBusHandlerResult on_dbus_message_received(DBusConnection *connection, DBusMessage *message, void *user_data);
int send_lcd_off_signal(int input);

w_launcher_error_e dbus_gesture_handler_attach(void);
w_launcher_error_e dbus_low_battery_handler_attach(void);
w_launcher_error_e dbus_web_runtime_handler_attach(void);

#endif //__DBUS_H__
