/*
 * Copyright (c) 2000 - 2012 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __PKGMGR_H__
#define __PKGMGR_H__

#include <Evas.h>

#include "logic.h"

enum package_install_status {
	UNKNOWN = 0x00,
	DOWNLOAD_BEGIN,
	DOWNLOADING,
	DOWNLOAD_END,
	INSTALL_BEGIN,
	INSTALLING,
	INSTALL_END,
	UNINSTALL_BEGIN,
	UNINSTALLING,
	UNINSTALL_END,
	UPDATE_BEGIN,
	UPDATING,
	UPDATE_END,
	MAX_STATUS,
};

char *get_app_pkgname(const char *appid);
char *get_app_type(const char *pkgid);
char *get_app_id(const char *pkgid);
char *get_app_label(const char *appid);
char *get_app_icon(const char *appid);
bool w_launcher_load_app_list(void *data);

#endif //__PKGMGR_H__
